Bug 26249 - keep_text class not set inconsistently in cat-search.inc
Summary: keep_text class not set inconsistently in cat-search.inc
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: David Cook
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26248
  Show dependency treegraph
 
Reported: 2020-08-19 05:43 UTC by David Cook
Modified: 2020-10-27 04:21 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.05


Attachments
Bug 26249: Set keep_text class correctly in cat-search.inc (1.82 KB, patch)
2020-08-19 05:47 UTC, David Cook
Details | Diff | Splinter Review
Bug 26249: Set keep_text class correctly in cat-search.inc (1.88 KB, patch)
2020-09-24 12:52 UTC, Didier Gautheron
Details | Diff | Splinter Review
Bug 26249: Set keep_text class correctly in cat-search.inc (1.94 KB, patch)
2020-09-24 18:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2020-08-19 05:43:33 UTC
In cat-search.inc, the keep_text class should be set on the A elements but the "Search the catalog" is set on the LI element.
Comment 1 David Cook 2020-08-19 05:47:32 UTC
Created attachment 108570 [details] [review]
Bug 26249: Set keep_text class correctly in cat-search.inc

This patch sets the keep_text class correctly in cat-search.inc
for the "Search the catalog" tab

To test:
1) Apply the patch
2) Go to /cgi-bin/koha/catalogue/search.pl
3) Type "A" into the search box for "Search the catalog"
4) Click on the "Check out" tab
5) Note that "A" appears in search box
6) Change "A" to "B" in search box
7) Click on the "Search the catalog" box
8) Note that "B" appears in the search box
9) Note no Javascript errors in the console
Comment 2 Didier Gautheron 2020-09-24 12:52:09 UTC
Created attachment 110648 [details] [review]
Bug 26249: Set keep_text class correctly in cat-search.inc

This patch sets the keep_text class correctly in cat-search.inc
for the "Search the catalog" tab

To test:
1) Apply the patch
2) Go to /cgi-bin/koha/catalogue/search.pl
3) Type "A" into the search box for "Search the catalog"
4) Click on the "Check out" tab
5) Note that "A" appears in search box
6) Change "A" to "B" in search box
7) Click on the "Search the catalog" box
8) Note that "B" appears in the search box
9) Note no Javascript errors in the console

Signed-off-by: Didier Gautheron <didier.gautheron@biblibre.com>
Comment 3 Katrin Fischer 2020-09-24 18:41:05 UTC
Created attachment 110690 [details] [review]
Bug 26249: Set keep_text class correctly in cat-search.inc

This patch sets the keep_text class correctly in cat-search.inc
for the "Search the catalog" tab

To test:
1) Apply the patch
2) Go to /cgi-bin/koha/catalogue/search.pl
3) Type "A" into the search box for "Search the catalog"
4) Click on the "Check out" tab
5) Note that "A" appears in search box
6) Change "A" to "B" in search box
7) Click on the "Search the catalog" box
8) Note that "B" appears in the search box
9) Note no Javascript errors in the console

Signed-off-by: Didier Gautheron <didier.gautheron@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-09-28 14:11:46 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-10-20 14:54:32 UTC
backported to 20.05.x for 20.05.05
Comment 6 Aleisha Amohia 2020-10-27 04:21:00 UTC
minor bug/enhancement, not backported to 19.11.x